Bug 2339 - Registered services connection refused messages
: Registered services connection refused messages
Status: RESOLVED FIXED
: MDS4
wsrf_aggregator
: development
: PC Linux
: P3 normal
: ---
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2004-11-22 14:46 by
Modified: 2005-03-09 00:53 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2004-11-22 14:46:45
I get the following when I have a set of services registered into an index. The
problem is that it does not tell me which host/service is refusing the
connection, so I have no clues on what registration is the problematic one.
Please at least add the host and port which is refusing the connection to the
error messages.

[Thread-9] ERROR impl.QueryAggregatorSource [timerExpired:343] Exception Getting
Resource Property: java.net.ConnectException: Connection refused
[Thread-9] ERROR impl.QueryAggregatorSource [timerExpired:372] Exception Getting
Multiple Resource Properties: java.net.ConnectException: Connection refused
[Thread-9] ERROR impl.QueryAggregatorSource [timerExpired:343] Exception Getting
Resource Property: java.net.ConnectException: Connection refused
[Thread-9] ERROR impl.QueryAggregatorSource [timerExpired:343] Exception Getting
Resource Property: java.net.ConnectException: Connection refused
------- Comment #1 From 2004-11-22 16:00:47 -------
probably good to include the aggregation id in the message too.
------- Comment #2 From 2004-11-24 17:37:22 -------
investigating if we can use log4j NDC for this...
------- Comment #3 From 2005-03-09 00:53:15 -------
Fixed in trunk.  Error message will now include the service URL that generated 
the error.